<?php


namespace Drupal\blazemeter\Form;
use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

class BlazeMeterSignUpForm extends FormBase {

  public function getFormId() {
    return 'blazemeter_sign_up_form';
  }

  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['#action'] = 'blazemeter-sign-up';
    $form['first_name'] = array(
      '#type' => 'textfield',
      '#required' => TRUE,
      '#attributes' => array(
        'class' => array('signup-firstname'),
        'placeholder' => t('First name')),
      '#prefix' => '<div style="display: none;" id="blazemeter-signup-modal"><strong class="title">Create a New Account</strong><div style="display:none;" class="creating-account"><p>Creating account...</p></div><div style="display:none;" class="reg-error-message"></div>',
    );

    $form['last_name'] = array(
      '#type' => 'textfield',
      '#required' => TRUE,
      '#attributes' => array(
        'class' => array('signup-lastname'),
        'placeholder' => t('Last name')),
    );

    $form['email'] = array(
      '#type' => 'email',
      '#required' => TRUE,
      '#attributes' => array(
        'class' => array('signup-email'),
        'placeholder' => t('E-mail')),
    );

    $form['password'] = array(
      '#type' => 'password',
      '#required' => TRUE,
      '#attributes' => array(
        'class' => array('signup-password'),
        'placeholder' => t('Password')),
    );

    $form['sign-up'] = array(
      '#type' => 'submit',
      '#name' => 'sign-up',
      '#value' => 'Sign Up',
      '#attributes' => array(
        'class' => array('use-ajax-submit'),
        'disabled' => true
      ),
    );

    $form['terms'] = array(
      '#type' => 'markup',
      '#markup' => '<p class="terms">By clicking Sign Up, you agree to our <a target="_blank" href="http://blazemeter.com/terms-service">Terms of Service</a></p></div>',
    );

    return $form;
  }
  public function ajax_test_dialog_form_callback_modal(&$form, FormStateInterface $form_state) {

    return $this->dialog(TRUE);
  }

  public function getEditableConfigNames() {
    return ['blazemeter.settings'];
  }

  public function submitForm(array &$form, FormStateInterface $form_state) {
    $a = 'test';
  }

  public function validateForm(array &$form, FormStateInterface $form_state) {
    parent::validateForm($form, $form_state); // TODO: Change the autogenerated stub
  }

}

?>